[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: kdebindings-3.5.0-0.1.fc4 pull in ruby



Once upon a time Monday 19 December 2005 2:39 am, Enrico Scholz wrote:
> jkeating j2solutions net (Jesse Keating) writes:
> >> No, of cause not - I am worried about the package's working principles
> >> and their reflection on packaging.
> >>
> >> So all this more or less a "beware the beginnings/think twice" concern.
> >
> > Ruby itself didn't add 5m.  The package includes bindings for ruby,
> > python, and perl, and all the other more generic things necessary to
> > plug these pieces into KDE.  So while it can almost make sense to do a
> > kdebindingsbase, then kdebindings-foo for each language, is it really
> > worth the effort right now?

Many moons ago Red Hat moved from having all the different apps in there own 
binary rpms to having 1 rpm per tarball.  If we were to now go and split out 
each and every app into its own binary rpm in one kde package  it should be 
done for every kde package.  this would have the effert of greatly increasing 
the number of rpms in the tree.

> I think such a split should be done (not for FC4 but for FC5). Currently,
> people who need e.g. only ruby bindings are forced to install the huge
> perl dependency.
perl its used  by many more things

> Unfortunatly, such packaging errors are seen often in Fedora
> Core. E.g. people who want sendmail are forced to install MySQL and
> PostgreSQL.
client libs only  which i dont think is that bad
> Or aspell -- it works perfectly without perl but a packaging bug
> introduces this huge dependency. Unfortunatly, Fedora Core developers
> are not sensitive to such bugs and have a "diskspace is cheap" thinking
> without seeing consequences for security and maintainability of the
> system.
perl is required by many different packages  including X

for instance on one of my systems  i have 
[dennis jaffa ~]$  rpm -q --whatrequires /usr/bin/perl
automake15-1.5-13
xplanet-1.1.1-1.1.fc3.fr
perl-RPM-Specfile-1.17-2
crossover-standard-3.0.1-1
cedega-4.2ForSteam-1
fbset-2.1-20
autoconf213-2.13-10
jpackage-utils-1.6.3-1jpp_1rh
perl-YAML-0.39-2
perltidy-20031021-2
Gtk-Perl-0.7008-38
bonnie++-1.03a-4
ibmonitor-1.3-2
cpan2rpm-2.026-2
perl-XML-Encoding-1.01-27
frozen-bubble-1.0.0-8.2.fc4
perl-IO-stringy-2.110-2
perl-Unicode-Map8-0.12-5
perl-Pod-Coverage-0.17-4.fc4
kino-0.7.6-1.2.fc4
perl-String-ShellQuote-1.03-2
perl-Unicode-Map-0.112-6
perl-XML-XPath-1.13-3
perl-HTML-Tree-3.18-3
perl-Spreadsheet-WriteExcel-2.14-1.fc4
perl-Pod-POM-0.17-4
perl-Image-Size-2.992-3
gtkpod-0.94.0-1.2.fc4
aspell-0.60.3-2
redhat-rpm-config-8.0.39-1
perl-Module-Signature-0.50-1.fc5
perl-Module-Build-0.2611-2.fc5
perl-MIME-Lite-3.01-3.fc5
perl-Module-CoreList-2.02-1.fc5
perl-Net-Server-0.88-1.fc5
patchutils-0.2.31-2
cdlabelgen-3.5.0-1.fc5
gnucash-1.8.11-4
kile-1.8.1-3.fc5
xboard-4.2.7-11.fc5
inkscape-0.42.2-2.fc5
perl-PDL-2.4.2-2.fc5
festival-1.95-4
am-utils-6.1.3-1
perl-GD-2.30-1.fc5
konversation-0.18-5.fc5
fedora-rpmdevtools-1.3-1.fc5
perl-Parse-Yapp-1.05-34.fc5
perl-Net-IP-1.24-2
perl-Archive-Tar-1.26-1
perl-Razor-Agent-2.77-2.fc5
perl-XML-XQL-0.68-1.fc5
glibc-utils-2.3.90-18
sharutils-4.6-2
ghostscript-8.15.1-3
qt-devel-3.3.5-10
w3m-0.5.1-12
xorg-x11-server-Xorg-0.99.3-9
perl-Tk-804.027-8.fc5
glibmm24-devel-2.8.2-1
kdebase-3.5.0-0.2.rc2
xscreensaver-base-4.22-21
ncurses-devel-5.4-22
eclipse-platform-3.1.1-1jpp_9fc
kdegraphics-3.5.0-1
kdenetwork-3.5.0-1
perl-5.8.7-8.1
perl-Net-IP-1.24-2.1
libbonobo-2.13.0-1.1
glib2-devel-2.9.1-1
jpackage-utils-1.6.3-1jpp_2rh.1
xorg-x11-font-utils-1.0.0-1
oaf-0.6.10-12.1
psutils-1.17-25.1
netpbm-progs-10.30-2.1
perl-SGMLSpm-1.03ii-16.1
libidn-devel-0.6.0-1.1
lftp-3.3.5-1
perl-Date-Calc-5.4-1.1
numactl-0.6.4-1.24.1
sharutils-4.6-2.1
ncurses-devel-5.4-23.1
automake14-1.4p6-12.1
enscript-1.6.1-31.1
texi2html-1.76-2.1
patchutils-0.2.31-2.1
redhat-rpm-config-8.0.39-1.1
procinfo-18-18.1
valgrind-3.0.1-2.1
fbset-2.1-20.1
autoconf-2.59-5.1
automake-1.9.6-1.1
mod_perl-2.0.2-3.1
perl-DBI-1.48-4.1
mysql-5.0.16-4
perl-libwww-perl-5.803-2.1
docbook-style-xsl-1.69.1-1.1
lm_sensors-2.9.1-5.1
net-snmp-5.2.2-4.1
ethereal-0.10.13-6.1
subversion-1.2.3-6
qt-devel-3.3.5-10.1
cvs-1.11.21-1.1
intltool-0.34.1-1.1
docbook-style-dsssl-1.79-2.1
w3m-0.5.1-12.1
perl-Archive-Tar-1.26-1.1
perl-XML-Twig-3.17-1.1
perl-Archive-Zip-1.16-1.1
perl-PDL-2.4.2-2.fc5.1.1
openldap-servers-2.3.11-3.1
net-snmp-utils-5.2.2-4.1
mysql-server-5.0.16-4
slrn-0.9.8.1pl1-1.1
samba-client-3.0.20b-2.1
automake17-1.7.9-6.1
automake16-1.6.3-5.1
rpm-build-4.4.2-11
ant-scripts-1.6.5-1jpp_1fc.2
stunnel-4.14-2.1
ipv6calc-0.50-1.1
openswan-2.4.4-1.1.1
logwatch-7.1-4.1
a2ps-4.13b-48.1.1
autoconf213-2.13-10.1
kdelibs-3.5.0-3
gstreamer-plugins-0.8.11-1.1
mozilla-1.7.12-3
kdepim-3.5.0-0.1.rc2.1
kdesdk-3.5.0-1.1
bind-9.3.2rc1-1.1
kdemultimedia-3.5.0-1.1
foomatic-3.0.2-29.1
xscreensaver-base-4.22-21.2
docbook-utils-0.6.14-4.1
gtk-doc-1.4-1.1
kdegraphics-3.5.0-2
kdenetwork-3.5.0-1.1
am-utils-6.1.3-1.1
kdevelop-3.3.0-1.1
spamassassin-3.1.0-3.fc5.1
koffice-kpresenter-1.4.2-3.fc5
postfix-2.2.7-1
netatalk-2.0.3-4.1
mc-4.6.1a-5.1
ghostscript-8.15.1-3.1
gnome-utils-2.13.3-1
jessie-1.0.0-10
eclipse-platform-3.1.1-1jpp_10fc


-- 
Dennis Gilmore,  RHCE  
<dennis AT ausil DOT us> http://www.ausil.us

Attachment: pgpEYuh0hsRnt.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]